### Signal

# Gtk DropTargetAsync::drag-motion

#### Declaration

    GdkDragAction
    drag_motion (
      GtkDropTargetAsync* self,
      GdkDrop* drop,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted while the pointer is moving over the drop target.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drop`

  Type: `GdkDrop`

  The `GdkDrop`

  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `GdkDragAction`

Preferred action for this drag operation.